GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List tags GETAdd tag POSTRename tag PATCHDelete tag DELETE
Tags

List tags GET

List a brand's tags of one kind.

Rename tag PATCH

Rename a tag.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Tags

Add tag

POST
/brands/{brandId}/tags

Add a tag to one of the brand's tag lists.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
kind*TagKind

Which list the tag belongs to; each feature keeps its own tags

Value in"competitor""prompt"
name*string
Length1 <= length <= 50

Response Body

Tag created

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
name*string
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \  -H 'Content-Type: application/json' \  -d '{  "kind": "competitor",  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string"}

List tags GET

List a brand's tags of one kind.

Rename tag PATCH

Rename a tag.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \
  -H 'Content-Type: application/json' \
  -d '{
  "kind": "competitor",
  "name": "string"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string"
}